nelmio_cors:
    defaults:
        allow_origin: ['*']  # Vous pouvez restreindre à l'URL de votre frontend si elle est connue
        allow_credentials: true
        allow_headers: ['Content-Type', 'Authorization']
        expose_headers: ['Content-Type', 'Authorization']
        allow_methods: ['POST', 'GET', 'OPTIONS', 'PUT', 'DELETE']
        max_age: 3600
    paths:
        '^/api/':  # Application des règles CORS sur les routes commençant par /api/
            allow_origin: ['*']
            allow_headers: ['Content-Type', 'Authorization']
            allow_methods: ['POST', 'GET', 'OPTIONS', 'PUT', 'DELETE']